收藏
回答

1.9.93及以上基础库报错

框架类型 问题类型 终端类型 操作系统 微信版本 基础库版本
小程序 Bug 客户端 iOS 6.7.1 1.9.93

VM7448:2 Expected updated data but get first rendering data 请问这个是什么错误

在1.9.93及以上版本就会报这个错误

回答关注问题邀请回答
收藏

2 个回答

  • 是柿子啊
    是柿子啊
    2018-08-10

    你好,请提供一下出现问题的机型和微信版本,以及能复现问题的简单代码片段(https://developers.weixin.qq.com/miniprogram/dev/devtools/minicode.html)。

    2018-08-10
    有用
    回复 1
    • 卡洛斯
      卡洛斯
      2018-08-12

      hi,经过更新了微信开发者工具,这个问题就消失了,应该是那版本开发工具的锅,不过还是弄的挺郁闷的(# ̄~ ̄#)

      2018-08-12
      回复
  • Galina
    Galina
    2018-08-10

    这是搜的别人的解决办法,你试试:在app.js中还没有给globalData赋值时却提前跳转到了调用globalData数据的页面,所以导致渲染失败,个人建议做个引导或加载页面,给数据一个缓冲的过程;

    2018-08-10
    有用
    回复 1
    • 卡洛斯
      卡洛斯
      2018-08-10

      我整个小程序就没有用到过globalData这个全局数据,所以就纳闷在这一点.搜索到的回答都太含糊了,就一句这个话!需要一个踩过坑的朋友指导一下!!!

      2018-08-10
      回复
登录 后发表内容